## symas-heimdal 7.8.0

=== debian/changelog ===
symas-heimdal (7.8.0-10noble1) noble; urgency=medium

  * Tighten git archive generation for reproducibility

 -- Symas Support <support@symas.com>  Mon, 20 Oct 2025 12:00:50 +0000

symas-heimdal (7.8.0-9noble1) noble; urgency=medium

  * Adjust LMDB dependency

 -- Symas Support <support@symas.com>  Tue, 07 Oct 2025 14:53:56 +0000

symas-heimdal (7.8.0-8noble1) noble; urgency=medium

  * Enable Trixie and RHEL10, drop Centos 7
  * Switch to apkg compat level 6
  * Make build (more) reproducible

 -- Symas Support <support@symas.com>  Fri, 03 Oct 2025 09:18:19 +0000

symas-heimdal (7.8.0-7noble1) noble; urgency=medium

  * Switch to apkg for packaging
  * Trim Build-depends
  * Include CVE-2022-45142 fix

 -- Symas Support <support@symas.com>  Wed, 05 Jun 2024 09:13:00 +0000

symas-heimdal (7.8.0-5noble1) noble; urgency=medium

  * version 7.8.0-5
  * disable openssl
  * enable tests

 -- Symas Support <support@symas.com>  Mon, 23 Oct 2023 18:29:20 +0000

symas-heimdal (7.8.0-3noble1) noble; urgency=medium

  * Rebuiling with OpenSSL3 support, v 7.8.0-3

 -- Symas Support <support@symas.com>  Mon, 29 May 2023 11:12:14 +0000

symas-heimdal (7.8.0-1noble1) noble; urgency=medium

  * Heimdal 7.8.0-1 release bits

 -- Symas Support <support@symas.com>  Thu, 15 Dec 2022 10:43:37 +0000

symas-heimdal (7.7.0-6noble1) noble; urgency=medium

  * Add patch for upstream issue#431 lib/ipc: client double close of socket
    file descriptor

 -- Symas Support <support@symas.com>  Thu, 08 Sep 2022 15:39:11 +0000

symas-heimdal (7.7.0-5noble1) noble; urgency=medium

  * Install ChangeLog, LICENSE, NEWS, and README files

 -- Symas Support <support@symas.com>  Thu, 09 Dec 2021 12:57:37 +0000

symas-heimdal (7.7.0-4noble1) noble; urgency=medium

  * Add patch for upstream issue#776 - Fix ASN1 OID for SHA-384

 -- Symas Support <support@symas.com>  Wed, 09 Jun 2021 15:20:34 +0000

symas-heimdal (7.7.0-3noble1) noble; urgency=medium

  * Change paths to match odd Symas Gold locations

 -- Symas Support <support@symas.com>  Thu, 20 May 2021 21:58:54 +0000

symas-heimdal (7.7.0-2noble1) noble; urgency=medium

  * Fix paths to better match FHS

 -- Symas Support <support@symas.com>  Mon, 10 May 2021 22:26:24 +0000

symas-heimdal (7.7.0-1noble1) noble; urgency=medium

  * Initial Release.

 -- Symas Support <support@symas.com>  Thu, 28 Jan 2021 22:26:24 +0000
