=== debian/control ===
Source: symas-heimdal
Build-Depends: debhelper (>= 10), symas-buildtools,
 libncurses-dev, libsqlite3-dev, libdb-dev,
 libjson-perl, byacc, flex, python3, texinfo, unzip
Section: utils
Priority: optional
Maintainer: Symas Support <support@symas.com>
Standards-Version:4.6.2
Homepage: https://www.hl5.org
Vcs-Git: https://git.symas.net/symas-public/heimdal.git
Vcs-Browser: https://git.symas.net/symas-public/heimdal

Package: symas-heimdal-lib
Section: libs
Priority: important
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Heimdal Libraries
 This package provides the heimdal libraries

Package: symas-heimdal-dev
Section: libdevel
Architecture: any
Depends: symas-heimdal-lib (= ${binary:Version}), ${misc:Depends}
Description: Heimdal development pieces
 This package provides the heimdal development library links and headers
