=== debian/rules ===
#!/usr/bin/make -f

PREFIX  ?= /opt/symas
ETCFIX  ?= $(PREFIX)/etc
LIBFIX ?= $(PREFIX)/lib
VARFIX  ?= /var/symas

# Ensure rpath is set correctly
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND=-L$(LIBFIX) -Wl,-rpath,$(LIBFIX)
export DEB_CFLAGS_MAINT_APPEND=-D_REENTRANT
export DEB_CXXFLAGS_MAINT_APPEND=-D_REENTRANT
export DEB_CPPFLAGS_MAINT_APPEND=-I$(PREFIX)/include
export V=1

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=$(PREFIX) \
	--sysconfdir=$(ETCFIX)/heimdal \
	--localstatedir=$(VARFIX) \
	--libexecdir=$(LIBFIX) \
	--datadir=$(VARFIX) \
	--enable-shared \
	--enable-pthread-support \
	--disable-berkeley-db \
	--disable-ndbm-db \
	--disable-afs-support \
	--without-readline \
	--without-openldap \
	--without-hesiod \
	--with-sqlite3=/usr \
	--enable-static=no \
	--without-openssl
	
override_dh_auto_build:
	$(MAKE) -C include
	$(MAKE) -C lib/roken
	$(MAKE) -C lib/vers
	$(MAKE) -C lib/com_err
	$(MAKE) -C lib/base
	$(MAKE) -C lib/asn1
	$(MAKE) -C lib/libedit
	$(MAKE) -C lib/sl
	$(MAKE) -C lib/hcrypto
	$(MAKE) -C lib/wind
	$(MAKE) -C lib/hx509
	$(MAKE) -C lib/ipc
	$(MAKE) -C lib/krb5
	$(MAKE) -C lib/ntlm
	$(MAKE) -C lib/gssapi
	$(MAKE) -C lib/hdb
	$(MAKE) -C lib/kadm5

override_dh_makeshlibs:
	dh_makeshlibs -psymas-heimdal-lib --no-scripts -- -c4

override_dh_auto_install:
	$(MAKE) -C include install DESTDIR=$$(pwd)/debian/tmp
	$(MAKE) -C lib/base install DESTDIR=$$(pwd)/debian/tmp
	$(MAKE) -C lib/roken install DESTDIR=$$(pwd)/debian/tmp
	$(MAKE) -C lib/com_err install DESTDIR=$$(pwd)/debian/tmp
	$(MAKE) -C lib/asn1 install DESTDIR=$$(pwd)/debian/tmp
	$(MAKE) -C lib/libedit install DESTDIR=$$(pwd)/debian/tmp
	$(MAKE) -C lib/sl install DESTDIR=$$(pwd)/debian/tmp
	$(MAKE) -C lib/hcrypto install DESTDIR=$$(pwd)/debian/tmp
	$(MAKE) -C lib/wind install DESTDIR=$$(pwd)/debian/tmp
	$(MAKE) -C lib/hx509 install DESTDIR=$$(pwd)/debian/tmp
	$(MAKE) -C lib/ipc install DESTDIR=$$(pwd)/debian/tmp
	$(MAKE) -C lib/krb5 install DESTDIR=$$(pwd)/debian/tmp
	$(MAKE) -C lib/ntlm install DESTDIR=$$(pwd)/debian/tmp
	$(MAKE) -C lib/hdb install DESTDIR=$$(pwd)/debian/tmp
	$(MAKE) -C lib/kadm5 install DESTDIR=$$(pwd)/debian/tmp
	mkdir -p $$(pwd)/debian/tmp$(PREFIX)/share/man/cat5/mech
	mkdir -p $$(pwd)/debian/tmp$(PREFIX)/share/man/man5/mech
	$(MAKE) -C lib/gssapi install DESTDIR=$$(pwd)/debian/tmp
	mkdir -p $$(pwd)/debian/tmp/$(PREFIX)/share/doc/heimdal
	cp ChangeLog $$(pwd)/debian/tmp/$(PREFIX)/share/doc/heimdal/
	cp LICENSE $$(pwd)/debian/tmp/$(PREFIX)/share/doc/heimdal/
	cp NEWS $$(pwd)/debian/tmp/$(PREFIX)/share/doc/heimdal/
	cp README $$(pwd)/debian/tmp/$(PREFIX)/share/doc/heimdal/

override_dh_auto_test:
	# The testsuite fails when run with parallel jobs
	dh_auto_test -- -j1
