=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/heimdal/heimdal \
refs/tags/heimdal-([\d\.]+) debian uupdate
